[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTrackBar.Max

Maximum value allowed in the Position for the track bar.

## Declaration

Source position: comctrls.pp line 2784

`published property TCustomTrackBar.Max : Integer read FMax write SetMax default 10;`

## Description

Max is an Integer property which specifies the maximum value allowed in the Position property. The default value for the property is 10.

Changing the value for the property causes Min, Max, and Position to be range checked, normalized, and applied to the widgetset class instance using the SetParams method.

## See also

TCustomTrackBar.Min |  | Minimum value allowed in the Position for the track bar.
TCustomTrackBar.Position |  | Location of the slider on the track bar between the Min and Max values.
TCustomTrackBar.SetParams |  | Sets the values in the Position, Min, and Max properties.